<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{2A1FFB12-B20F-4F9B-905E-1F928F17B4EE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DeviceRepair.Models</RootNamespace>
    <AssemblyName>DeviceRepair.Models</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.12.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="SqlSugar, Version=5.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\sqlSugar.5.0.0\lib\SqlSugar.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ApiOperationRtn.cs" />
    <Compile Include="APIResponseData.cs" />
    <Compile Include="Attr\BoolConverterAttribute.cs" />
    <Compile Include="Attr\ComboBoxItemAttribute.cs" />
    <Compile Include="Attr\DomFieldIgnoreAttribute.cs" />
    <Compile Include="Attr\DomFieldMapAttribute.cs" />
    <Compile Include="Attr\EnumDescriptionAttribute.cs" />
    <Compile Include="Attr\HistoryFilterFieldAttribute.cs" />
    <Compile Include="Attr\HistoryGridFieldAttribute.cs" />
    <Compile Include="Attr\NumberDigitsAttribute.cs" />
    <Compile Include="Common\AttachmentInfo.cs" />
    <Compile Include="Common\AttachmentSubmitModel.cs" />
    <Compile Include="Common\CurrentYearPlanSchedule.cs" />
    <Compile Include="Common\FieldsInfo.cs" />
    <Compile Include="Common\LookUpItemModel.cs" />
    <Compile Include="Common\ObjectModelExtend.cs" />
    <Compile Include="Common\ServerApiResponse.cs" />
    <Compile Include="Common\SfcParams.cs" />
    <Compile Include="Common\SFCTokenModel.cs" />
    <Compile Include="Common\SheetDataItem.cs" />
    <Compile Include="Common\SysConfigInfo.cs" />
    <Compile Include="Common\SysEmailConfigInfo.cs" />
    <Compile Include="DefaultConstValue.cs" />
    <Compile Include="DeviceMaintenance\DeviceRunningStatus.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyEvaluatorInfo.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyRequestAccessoriesInfo.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyRequestFormFilter.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyRequestFormInfo.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyRequestFormStatus.cs" />
    <Compile Include="DeviceMaintenance\DeviceWarrantyRequestMaintaionInfo.cs" />
    <Compile Include="DeviceRepair\DeviceRunningStatus.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyEvaluatorInfo.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyFormVer.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyRequestAccessoriesInfo.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyRequestForm.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyRequestFormFilter.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyRequestFormStatus.cs" />
    <Compile Include="DeviceRepair\DeviceWarrantyRequestMaintaionInfo.cs" />
    <Compile Include="DeviceRepair\ExportView\MaintainOrderView.cs" />
    <Compile Include="DeviceRepair\View\DeviceWarrantyRequestFormView.cs" />
    <Compile Include="DeviceRepair\View\DeviceWarrantyRequestMaintaionView.cs" />
    <Compile Include="Device\DeviceAnnPlanView.cs" />
    <Compile Include="Device\DeviceInformationInfo.cs" />
    <Compile Include="Device\DeviceInformationInfoTree.cs" />
    <Compile Include="Device\DeviceRouteInfo.cs" />
    <Compile Include="Device\View_DeviceRoot.cs" />
    <Compile Include="Device\View_DriveInfomationModel.cs" />
    <Compile Include="Enum\EnumDeviceBelong.cs" />
    <Compile Include="Enum\EnumDeviceRouteType.cs" />
    <Compile Include="Enum\EnumMaintenanceBanciType.cs" />
    <Compile Include="Enum\EnumMaintenanceCellType.cs" />
    <Compile Include="Enum\EnumMaintenanceOperationType.cs" />
    <Compile Include="Enum\EnumMaintenanceType.cs" />
    <Compile Include="Enum\EnumMonth.cs" />
    <Compile Include="Enum\EnumOperationType.cs" />
    <Compile Include="Enum\EnumPlanCompleteStatus.cs" />
    <Compile Include="Enum\Extensions.cs" />
    <Compile Include="Enum\HistoryFilterCtlType.cs" />
    <Compile Include="Enum\HistoryType.cs" />
    <Compile Include="Enum\SysModelType.cs" />
    <Compile Include="Enum\UserConfirmModel.cs" />
    <Compile Include="ExtendFuncHelper.cs" />
    <Compile Include="Form\MaintenanceFormFilter.cs" />
    <Compile Include="History\DeviceHistory.cs" />
    <Compile Include="OperationHistory\Device\DeviceDataHistory.cs" />
    <Compile Include="OperationHistory\Device\DeviceOpsHistory.cs" />
    <Compile Include="OperationHistory\Device\v_DeviceDataHistory.cs" />
    <Compile Include="OperationHistory\Device\v_DeviceOpsHistory.cs" />
    <Compile Include="OperationHistory\Field\FieldDataHistory.cs" />
    <Compile Include="OperationHistory\Field\FieldOpsHistory.cs" />
    <Compile Include="History\HistoryBase.cs" />
    <Compile Include="History\UserConfirmHistory.cs" />
    <Compile Include="Logs\DeviceMaintenanceLogInfo.cs" />
    <Compile Include="History\DriveInformationHistory.cs" />
    <Compile Include="History\FormLogInfo.cs" />
    <Compile Include="History\MaintenanceFormVersionHistoryInfo.cs" />
    <Compile Include="History\MaintenanceRecordHisInfo.cs" />
    <Compile Include="History\PlanlogInfo.cs" />
    <Compile Include="Logs\OperationFilterModel.cs" />
    <Compile Include="Logs\RoleAuthLogInfo.cs" />
    <Compile Include="History\RoleInfoChangeLogInfo.cs" />
    <Compile Include="History\UserInfoChangeLogInfo.cs" />
    <Compile Include="Logs\UserLockLogInfo.cs" />
    <Compile Include="History\UserPassChangeLogInfo.cs" />
    <Compile Include="Logs\UserPwdErrorLogInfo.cs" />
    <Compile Include="History\UserRoleLogInfo.cs" />
    <Compile Include="OperationHistory\ComboBoxValueStruct.cs" />
    <Compile Include="OperationHistory\Field\v_FieldOpsHistory.cs" />
    <Compile Include="OperationHistory\HistoryGridColumn.cs" />
    <Compile Include="OperationHistory\HistoryQueryParam.cs" />
    <Compile Include="OperationHistory\Tag\TagRecordLog.cs" />
    <Compile Include="OperationHistory\Tag\TagRecordHistory.cs" />
    <Compile Include="OperationHistory\Tag\v_TagRecordLog.cs" />
    <Compile Include="OperationLog\History\FieldsHistory.cs" />
    <Compile Include="OperationLog\Logs\FieldLog.cs" />
    <Compile Include="PasswordStrategy.cs" />
    <Compile Include="PasswordStrategyType.cs" />
    <Compile Include="Plan\AnnualMaintenancePlan.cs" />
    <Compile Include="Plan\DailyPlanCompleteStatus.cs" />
    <Compile Include="Plan\DriveMaintenancePlanExcelModel.cs" />
    <Compile Include="Plan\DriveMaintencePlanDailyInfo.cs" />
    <Compile Include="Plan\EquipmentJumpPlanCheckInfo.cs" />
    <Compile Include="Plan\PlanItemDates.cs" />
    <Compile Include="Plan\PlanProgress.cs" />
    <Compile Include="Plan\PlanRecordFormInfo.cs" />
    <Compile Include="Plan\View\DailyPlanDetail.cs" />
    <Compile Include="Plan\View\View_AMYearsMaintenancePlansExport.cs" />
    <Compile Include="Plan\View\View_AnnualMaintenancePlan.cs" />
    <Compile Include="Plan\View\View_DeviceRootInfo.cs" />
    <Compile Include="Plan\View\View_AM_PLAN.cs" />
    <Compile Include="Plan\View\View_PM_PLAN.cs" />
    <Compile Include="Plan\View\View_PM_Plan_ProgressInfo.cs" />
    <Compile Include="Plan\View\View_YearsMaintenancePlansExport.cs" />
    <Compile Include="Form\SubmitAssignFormsToDevices.cs" />
    <Compile Include="Preserve\View\View_AssignMaintenanceFormTree.cs" />
    <Compile Include="Preserve\View_MaintenanceRecordList.cs" />
    <Compile Include="Preserve\JsonData\ContentData.cs" />
    <Compile Include="Form\MaintenanceFormVersionInfo.cs" />
    <Compile Include="Plan\DriveMaintencePlanInfo.cs" />
    <Compile Include="HeaderModel.cs" />
    <Compile Include="Logs\UserLogin.cs" />
    <Compile Include="Preserve\DriveRepairRecordInfo.cs" />
    <Compile Include="Preserve\MaintenanceRecordInfo.cs" />
    <Compile Include="Preserve\MaintenanceRecordSubmit.cs" />
    <Compile Include="RandomString.cs" />
    <Compile Include="Record\MaintenanceFilterModel.cs" />
    <Compile Include="Record\MaintenanceRecordHistoryModel.cs" />
    <Compile Include="Role\AuthModel.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Role\RoleAuthModel.cs" />
    <Compile Include="Role\RoleEditSubmitModel.cs" />
    <Compile Include="Role\RoleModel.cs" />
    <Compile Include="SFC\Addon\PostsInfo.cs" />
    <Compile Include="SFC\Addon\ResourceAllocationsInfo.cs" />
    <Compile Include="SFC\Addon\StaffsInfo.cs" />
    <Compile Include="SFC\Addon\UserPostsInfo.cs" />
    <Compile Include="SFC\Data\InspBatchInfo.cs" />
    <Compile Include="SFC\Data\UserInfoInfo.cs" />
    <Compile Include="SFC\System\UserConfirmHistory.cs" />
    <Compile Include="SFC\TsSFCAuths.cs" />
    <Compile Include="SFC\TsSFCUserInfo.cs" />
    <Compile Include="Tag\TagRecordFilter.cs" />
    <Compile Include="Tag\TagRecordInfo.cs" />
    <Compile Include="User\AuthCodeConstValue.cs" />
    <Compile Include="User\TokenModel.cs" />
    <Compile Include="User\UserInfoModel.cs" />
    <Compile Include="Plan\View\View_CurrentMonthPlanTips.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>